Name:		firetools
Summary:	Graphical user interface for Firejail
Version:	0.9.64
%define subrel	2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Base
Url:		https://firejail.wordpress.com/
Source0:	https://download.sourceforge.net/firejail/firetools-%{version}.tar.xz
Patch1:		0001-Don-t-include-disable-passwdmgr.inc-as-it-was-remove.patch
Patch2:		firetools-linking.patch
BuildRequires:	qtbase5-common-devel
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	firejail >= 0.9.70-1.1
Requires:	%{_lib}qt5svg5

%description
Firetools is a GUI application for Firejail. It offers a system tray launcher
for sandboxed apps, sandbox editing, management, and statistics. The software
package also includes a sandbox configuration wizard, firejail-ui.

%prep
%setup -q
%autosetup -p1

# fix libdir
sed -i -e 's#/$(PREFIX)/lib#%{_libdir}#g' Makefile.in

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%license COPYING
%doc README RELNOTES
%{_bindir}/fire*
%{_libdir}/firetools/
%{_datadir}/applications/fire*.desktop
%{_mandir}/man?/fire*.?*
%{_datadir}/pixmaps/fire*.png


%changelog
* Sun Sep 18 2022 wally <wally> 0.9.64-1.2.mga8
+ Revision: 1889830
- don't try to include disable-passwdmgr.inc as it was removed in firejail 0.9.68
- fix typo in summary

* Sat Sep 17 2022 wally <wally> 0.9.64-1.1.mga8
+ Revision: 1889656
- add more stricter firejail requires

* Sat Sep 17 2022 wally <wally> 0.9.64-1.mga8
+ Revision: 1889585
- new version 0.9.64 (mga#30858)

* Wed Feb 19 2020 umeabot <umeabot> 0.9.62-2.mga8
+ Revision: 1543048
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 12 2020 wally <wally> 0.9.62-1.mga8
+ Revision: 1477659
- new version 0.9.62

* Sat Mar 30 2019 umeabot <umeabot> 0.9.52-3.mga7
+ Revision: 1381681
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.52-2.mga7
+ Revision: 1297706
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 wally <wally> 0.9.52-1.mga7
+ Revision: 1221019
- imported package firetools

